Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 594841 - cannot edit component after hitting edit box and then changing product
Summary: cannot edit component after hitting edit box and then changing product
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Bugzilla
Classification: Community
Component: Creating/Changing Bugs
Version: 3.4
Hardware: All
OS: Linux
low
low vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 18:17 UTC by Roland McGrath
Modified: 2013-06-24 02:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-24 12:15:57 UTC


Attachments (Terms of Use)

Description Roland McGrath 2010-05-21 18:17:23 UTC
If I go to a bug page and change its product using the drop-down menu, then I can hit the "edit" button next to component to change its component.  However, if I hit the "edit" button first, realize the component I want is not there, and then go and change the product with the drop-down menu, I can no longer get it to change the components list to the right one for the new product.

Comment 1 Noura El hawary 2010-05-24 12:15:57 UTC
Hi Roland,

The way to change products and components in bugzilla is to do the following:

1- in the bug page change the product to whatever you want from the product drop down menu.

2- click the "Save Changes" button this will take you to the page with the list of the components for your new product.

3- in the new page for "Verify Version, Component, Target Milestone" you can select the component you want and then submit.

it is this way because for each product the product details are different and that is why you go to the new page where it load all those details for you.

regards,
Noura


Note You need to log in before you can comment on or make changes to this bug.